First Last Prev Next    No search results available      Search page      Enter new bug
Bug#: 159546
Alias:
Product:
Component:
Status: RESOLVED
Resolution: FIXED
Assigned To: Embedded Gentoo Team <embedded@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: Prakash Punnoor <prakashp@arcor.de>
Add CC:
CC:
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 159546 depends on: Show dependency tree
Show dependency graph
Bug 159546 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)







View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2006-12-31 02:07 0000
I need following patch, otherwise:

- Busybox is built twice. Second time on calling install
- It is not built in parallel the second time
- It is probably not build using specified flags

I think the problem comes because of not specifying the CFLAGS on install time,
so busybox thinks something changed...

Please fix it, as it is highly annoying!

--- busybox-1.3.1.ebuild.old    2006-12-31 11:02:03.000000000 +0100
+++ busybox-1.3.1.ebuild        2006-12-31 11:02:09.000000000 +0100
@@ -200,7 +200,7 @@
        dosym bb /bin/busybox.static

        # bundle up the symlink files for use later
-       make CROSS="${CROSS}" install || die
+       emake CROSS="${CROSS}" EXTRA_CFLAGS="${CFLAGS}" install || die
        rm _install/bin/busybox
        tar cf busybox-links.tar -C _install . || die
        insinto /usr/share/${PN}


Note that I am a paludis user, so following infos might be outdated:

Portage 2.1.2_rc4-r3 (default-linux/amd64/2006.1/desktop, gcc-4.1.1,
glibc-2.5.90.20061223-r1, 2.6.20-rc2 x86_64)
=================================================================
System uname: 2.6.20-rc2 x86_64 AMD Athlon(tm) 64 X2 Dual Core Processor 3800+
Gentoo Base System version 1.12.8
Last Sync: Sun, 31 Dec 2006 07:50:01 +0000
ccache version 2.4 [enabled]
dev-java/java-config: 1.3.7, 2.0.31
dev-lang/python:     2.4.4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.4-r6
sys-apps/sandbox:    1.2.18.1
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.17.50.0.8
sys-devel/gcc-config: 1.3.14
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.19
ACCEPT_KEYWORDS="amd64 ~amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=k8 -msse3 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config
/usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf
/etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-march=k8 -msse3 -O2 -pipe -fvisibility-inlines-hidden"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache confcache digest distlocks parallel-fetch sandbox
sfperms splitdebug"
GENTOO_MIRRORS="ftp://linux.rz.ruhr-uni-bochum.de/gentoo-mirror/
ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo
http://mirrors.sec.informatik.tu-darmstadt.de/gentoo/ "
LANG="de_DE.utf8"
LC_ALL="de_DE.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=both"
LINGUAS="de"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress
--force --whole-file --delete --delete-after --stats --timeout=180
--exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/overlays/toolchain_overlay /var/lportage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dnow-ext X a52 aac alsa amd64 berkdb bitmap-fonts bzip2 cairo cddb cdr
cli cracklib crypt css cups cvs dlloader dri dts dvd dvdr eds emboss encode fam
ffmpeg fftw firefox flac gif gimp glitz gpm graphviz gtk gtk2 hashstyle iconv
ipv6 isdnlog java jikes jpeg jpeg2k kde kdeenablefinal kdehiddenvisibility
ladspa libg++ libsamplerate mac mad mikmod mmx-ext mod mp3 mp4 mpeg musepack
ncurses nls nptl nptlonly nsplugin ogg opengl oss pam pcre pdf perl png ppds
pppd python qt3 qt4 quicktime readline reflection samba sdl session smp sndfile
speex spell spl ssl subversion svg taglib tcpd tetex theora threads tiff
truetype truetype-fonts type1-fonts udev unicode usb vorbis x264 xcomposite xml
xorg xv xvid xvmc zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x
ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0
intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci"
ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file
hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route
share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard evdev mouse"
KERNEL="linux" LINGUAS="de" USERLAND="GNU" VIDEO_CARDS="none dummy nv nvidia
vesa vga"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_RSYNC_EXTRA_OPTS

------- Comment #1 From SpanKY 2006-12-31 02:58:37 0000 -------
ive fixed it properly in cvs

First Last Prev Next    No search results available      Search page      Enter new bug